scala.collection.convert

# WrapAsScala

#### trait WrapAsScala extends LowPriorityWrapAsScala

Source
  WrapAsScala.scala

Linear Supertypes
LowPriorityWrapAsScala, AnyRef, Any
Known Subclasses
JavaConversions, WrapAsScala
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WrapAsScala
2. LowPriorityWrapAsScala
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from WrapAsScala to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (WrapAsScala, B)

   Implicit information
     This member is added by an implicit conversion from WrapAsScala to ArrowAssoc[WrapAsScala] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### implicit def asScalaBuffer[A](l: java.util.List[A]): Buffer[A]

   Implicitly converts a Java `List` to a Scala mutable `Buffer`.

   Implicitly converts a Java `List` to a Scala mutable `Buffer`.

   The returned Scala `Buffer` is backed by the provided Java `List` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

   If the Java `List` was previously obtained from an implicit or explicit call of `asScalaBuffer(scala.collection.mutable.Buffer)` then the original Scala `Buffer` will be returned.

   l

     The `List` to be converted.

   returns

     A Scala mutable `Buffer` view of the argument.

10. #### implicit def asScalaIterator[A](it: java.util.Iterator[A]): Iterator[A]

    Implicitly converts a Java `Iterator` to a Scala `Iterator`.

    Implicitly converts a Java `Iterator` to a Scala `Iterator`.

    The returned Scala `Iterator` is backed by the provided Java `Iterator` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Iterator` was previously obtained from an implicit or explicit call of `asIterator(scala.collection.Iterator)` then the original Scala `Iterator` will be returned.

    it

      The `Iterator` to be converted.

    returns

      A Scala `Iterator` view of the argument.

11. #### implicit def asScalaSet[A](s: java.util.Set[A]): mutable.Set[A]

    Implicitly converts a Java Set to a Scala mutable Set.

    Implicitly converts a Java Set to a Scala mutable Set. The returned Scala Set is backed by the provided Java Set and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java Set was previously obtained from an implicit or explicit call of `asScalaSet(scala.collection.mutable.Set)` then the original Scala Set will be returned.

    s

      The Set to be converted.

    returns

      A Scala mutable Set view of the argument.

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### implicit def collectionAsScalaIterable[A](i: Collection[A]): Iterable[A]

    Implicitly converts a Java `Collection` to an Scala `Iterable`.

    Implicitly converts a Java `Collection` to an Scala `Iterable`.

    If the Java `Collection` was previously obtained from an implicit or explicit call of `collectionAsScalaIterable(scala.collection.SizedIterable)` then the original Scala `Iterable` will be returned.

    i

      The Collection to be converted.

    returns

      A Scala Iterable view of the argument.

14. #### implicit def dictionaryAsScalaMap[A, B](p: Dictionary[A, B]): mutable.Map[A, B]

    Implicitly converts a Java `Dictionary` to a Scala mutable `Map[String, String]`.

    Implicitly converts a Java `Dictionary` to a Scala mutable `Map[String, String]`.

    The returned Scala `Map[String, String]` is backed by the provided Java `Dictionary` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    p

      The Dictionary to be converted.

    returns

      A Scala mutable Map[String, String] view of the argument.

15. #### def ensuring(cond: (WrapAsScala) ⇒ Boolean, msg: ⇒ Any): WrapAsScala

    Implicit information
      This member is added by an implicit conversion from WrapAsScala to Ensuring[WrapAsScala] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (WrapAsScala) ⇒ Boolean): WrapAsScala

    Implicit information
      This member is added by an implicit conversion from WrapAsScala to Ensuring[WrapAsScala] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): WrapAsScala

    Implicit information
      This member is added by an implicit conversion from WrapAsScala to Ensuring[WrapAsScala] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): WrapAsScala

    Implicit information
      This member is added by an implicit conversion from WrapAsScala to Ensuring[WrapAsScala] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### implicit def enumerationAsScalaIterator[A](i: java.util.Enumeration[A]): Iterator[A]

    Implicitly converts a Java Enumeration to a Scala Iterator.

    Implicitly converts a Java Enumeration to a Scala Iterator. The returned Scala Iterator is backed by the provided Java Enumeration and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java Enumeration was previously obtained from an implicit or explicit call of `enumerationAsScalaIterator(scala.collection.Iterator)` then the original Scala Iterator will be returned.

    i

      The Enumeration to be converted.

    returns

      A Scala Iterator view of the argument.

20. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

23. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from WrapAsScala to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

24. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

25. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

27. #### implicit def iterableAsScalaIterable[A](i: java.lang.Iterable[A]): Iterable[A]

    Implicitly converts a Java `Iterable` to a Scala `Iterable`.

    Implicitly converts a Java `Iterable` to a Scala `Iterable`.

    The returned Scala `Iterable` is backed by the provided Java `Iterable` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Iterable` was previously obtained from an implicit or explicit call of `iterableAsScalaIterable(scala.collection.Iterable)` then the original Scala Iterable will be returned.

    i

      The Iterable to be converted.

    returns

      A Scala Iterable view of the argument.

28. #### implicit def mapAsScalaConcurrentMap[A, B](m: ConcurrentMap[A, B]): concurrent.Map[A, B]

    Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap.

    Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap. The returned Scala ConcurrentMap is backed by the provided Java ConcurrentMap and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java ConcurrentMap was previously obtained from an implicit or explicit call of `asConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala ConcurrentMap will be returned.

    m

      The ConcurrentMap to be converted.

    returns

      A Scala mutable ConcurrentMap view of the argument.

29. #### implicit def mapAsScalaMap[A, B](m: java.util.Map[A, B]): mutable.Map[A, B]

    Implicitly converts a Java `Map` to a Scala mutable `Map`.

    Implicitly converts a Java `Map` to a Scala mutable `Map`.

    The returned Scala `Map` is backed by the provided Java `Map` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Map` was previously obtained from an implicit or explicit call of `mapAsScalaMap(scala.collection.mutable.Map)` then the original Scala Map will be returned.

    m

      The Map to be converted.

    returns

      A Scala mutable Map view of the argument.

30. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

32. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

33. #### implicit def propertiesAsScalaMap(p: Properties): mutable.Map[String, String]

    Implicitly converts a Java `Properties` to a Scala `mutable Map[String, String]`.

    Implicitly converts a Java `Properties` to a Scala `mutable Map[String, String]`.

    The returned Scala `Map[String, String]` is backed by the provided Java `Properties` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    p

      The Properties to be converted.

    returns

      A Scala mutable Map[String, String] view of the argument.

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

39. #### def →[B](y: B): (WrapAsScala, B)

    Implicit information
      This member is added by an implicit conversion from WrapAsScala to ArrowAssoc[WrapAsScala] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from WrapAsScala to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrapAsScala: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from WrapAsScala to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrapAsScala: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def asScalaConcurrentMap[A, B](m: ConcurrentMap[A, B]): ConcurrentMap[A, B]

   Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap.

   Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap. The returned Scala ConcurrentMap is backed by the provided Java ConcurrentMap and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

   If the Java ConcurrentMap was previously obtained from an implicit or explicit call of `asConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala ConcurrentMap will be returned.

   m

     The ConcurrentMap to be converted.

   returns

     A Scala mutable ConcurrentMap view of the argument.

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `mapAsScalaConcurrentMap` instead, and use `concurrent.Map` instead of `ConcurrentMap`.

2. #### implicit def mapAsScalaDeprecatedConcurrentMap[A, B](m: ConcurrentMap[A, B]): ConcurrentMap[A, B]

   Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap.

   Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap. The returned Scala ConcurrentMap is backed by the provided Java ConcurrentMap and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

   If the Java ConcurrentMap was previously obtained from an implicit or explicit call of `asConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala ConcurrentMap will be returned.

   m

     The ConcurrentMap to be converted.

   returns

     A Scala mutable ConcurrentMap view of the argument.

   Definition Classes
     LowPriorityWrapAsScala
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `mapAsScalaConcurrentMap` instead, and use `concurrent.Map` instead of `ConcurrentMap`.

3. #### def x: WrapAsScala

   Implicit information
     This member is added by an implicit conversion from WrapAsScala to ArrowAssoc[WrapAsScala] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrapAsScala: ArrowAssoc[WrapAsScala]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

4. #### def x: WrapAsScala

   Implicit information
     This member is added by an implicit conversion from WrapAsScala to Ensuring[WrapAsScala] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrapAsScala: Ensuring[WrapAsScala]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from LowPriorityWrapAsScala

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from WrapAsScala to StringAdd

### Inherited by implicit conversion any2stringfmt from WrapAsScala to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from WrapAsScala to ArrowAssoc[WrapAsScala]

### Inherited by implicit conversion any2Ensuring from WrapAsScala to Ensuring[WrapAsScala]

### Ungrouped